Subject: [Errata Rejected] RFC7233 (4665)

From: RFC Errata System <[email-masked]>
Date: Thu, 23 Feb 2017 07:27:37 -0800 (PST)

The following errata report has been rejected for RFC7233,
"Hypertext Transfer Protocol (HTTP/1.1): Range Requests".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7233&eid=4665

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Amichai Rothman <[email-masked]>
Date Reported: 2016-04-13
Rejected by: Alexey Melnikov (IESG)

Section: 3.1

Original Text
-------------

Corrected Text
--------------
If all of the preconditions are true and the target representation
length is zero, the server SHOULD send a 200 (OK) response.

Notes
-----
An empty representation is unsatisfiable according to section 2.1, but not unsatisfiable according to section 4.4 if the first-byte-pos is zero. An empty 200 response is the simplest solution to this contradiction, since it is a valid response anyway (if the server chooses to ignore the Range header), clients already handle it properly, it provides all necessary information to the client, and stating it explicitly can prevent subtle edge-case pitfalls in both the RFC and its implementations.
 --VERIFIER NOTES-- 
 Mark Nottingham: this is not an erratum. Please raise an issue here:
 <https://github.com/httpwg/http11bis/issues>

--------------------------------------
RFC7233 (draft-ietf-httpbis-p5-range-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Range Requests
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., Y. Lafon, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG